Subject: Re: Command line options
From: [email-masked] (Mikey)

29 Oct 1997 08:00:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: GBradfor <[email-masked]>, [email-masked]

-MT just links with the multi threaded vc++ libs, see win32.mak
in the Platform SDK and the headers for docs on this.

--subsystem windows is the ld.exe command line option.

This can be passed to ld.exe (the linker) by gcc.exe (the compiler driver) by putting
-Wl,--subsystem,windows on the gcc command line
note the use of , instead of space.

the best ? option to use is -mwindows	(libuser32.a) 	(libgui32.a)
this will automatically pass --subsystem windows -luser32 and -lgui32
to the linker.

Geoff, could we get this changed to -windows
-m gets misread by cpp as a processor spec, which
makes -mwindows unless for -I options in specs.

Use the source luke. ;^)

On Tue, 28 Oct 1997 08:53:55 -0600, you wrote:

>     I have been reading over the README file that comes along with the 
>     cygwin32 package, particularly the part on "How to Write a GUI 
>     Application."  As the reader knows, this section lists all of the 
>     libraries that might possibly need to be included to support the SDK.  
>     Also, it states that the command line option "--subsystem,windows" 
>     should be used.
>     
>     Now, I realize that this is VERY similar to the VC++ option 
>     "SUBSYSTEM:windows."  However, I have looked through all the 
>     documentation I can find at the Cygnus site and have not been able to 
>     find this option (or the listed libraries) documented anywhere.  Where 
>     should I REALLY be looking?
>     
>     While we're on the subject, VC++ supports an option "-MT" for 
>     compiling multithreaded applications.  Is there something similar for 
>     gcc?
>     
>     Thanks for your patience.
>     
>     /s/
>     Pat Bradford
>     
>     Please respond to:
>        [email-masked]
>                AND/OR
>        [email-masked]
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".